Update Conditional statement(!if..) in DSC/FDF statement to require the mandatory...
authorqhuang8 <qhuang8@c2973edb-eda0-4c78-bc6a-9341b269661f>
Thu, 4 Mar 2010 02:45:19 +0000 (02:45 +0000)
committerqhuang8 <qhuang8@c2973edb-eda0-4c78-bc6a-9341b269661f>
Thu, 4 Mar 2010 02:45:19 +0000 (02:45 +0000)
commit8e35b7a23459d0017cf92af98936f0d8b66e09a8
treed240343ad28d5fd9984be779def7a50d7ccb6203
parent70788a81330a044308af0ede928fdf2de2bb9836
Update Conditional statement(!if..) in DSC/FDF statement to require the mandatory $() for macro name.
This is a non-backward compatible change that might require the manual update of current DSC/FDF file. (The error message printed out by the tool will help user to solve the incompatible issue)

git-svn-id: https://edk2-buildtools.svn.sourceforge.net/svnroot/edk2-buildtools/trunk/BaseTools@1910 c2973edb-eda0-4c78-bc6a-9341b269661f
Source/Python/Common/FdfParserLite.py
Source/Python/GenFds/FdfParser.py
Source/Python/Workspace/MetaFileParser.py